# PDOStatement::setAttribute

(PHP 5 >= 5.1.0, PHP 7, PECL pdo >= 0.2.0)

PDOStatement::setAttribute — Set a statement attribute

### Description

public PDOStatement::setAttribute ( int `$attribute` , mixed `$value` ) : bool

Sets an attribute on the statement. Currently, no generic attributes are set but only driver specific:

- PDO::ATTR_CURSOR_NAME (Firebird and ODBC specific): Set the name of cursor for UPDATE ... WHERE CURRENT OF.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- PDO::getAttribute() - Retrieve a database connection attribute
- PDO::setAttribute() - Set an attribute
- PDOStatement::getAttribute() - Retrieve a statement attribute